ru.bitel.bgbilling.kernel.contract.api.common.bean

## Class ContractTariff

- java.lang.Object
- - ru.bitel.common.model.Id
  - - ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractTariff

- All Implemented Interfaces:
    java.io.Serializable, Idable

      public class ContractTariff
      extends Id
      implements java.io.Serializable

  Объект сопоставляет договору тарифный план на определенный период. Соответствует записи из таблицы contract_tariff. Содержит следующие поля, устанавливаемые и получаемые с помощью get/set функций:

  private int ID - код записи в таблице
  private int contractID - код договора
  private int tariffPlanID - код тарифного плана
  private int tariffGroupID - код тарифного плана
  private Period period - окончание
  private String comment - комментарий
  ...
  private int replacedFromTariff - если запись получена через смену тарифа с кого-то другого, то здесь сохраняется id предыдущей записи (чтобы можно было откатить, например)

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.model.Id

      `id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractTariff()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getComment()`
    `int` | `getContractId()`
    `java.util.Date` | `getDateFrom()` Deprecated.
    `java.util.Date` | `getDateTo()` Deprecated.
    `int` | `getEntityId()`
    `int` | `getEntityMid()`
    `Period` | `getPeriod()`
    `int` | `getPosition()`
    `int` | `getReplacedFromContractTariffId()`
    `int` | `getTariffGroupId()`
    `int` | `getTariffPlanId()`
    `void` | `setComment(java.lang.String comment)`
    `void` | `setContractId(int contractId)`
    `void` | `setDateFrom(java.util.Date date)` Deprecated.
    `void` | `setDateTo(java.util.Date date)` Deprecated.
    `void` | `setEntityId(int entityId)`
    `void` | `setEntityMid(int entityMid)`
    `void` | `setPeriod(Period period)`
    `void` | `setPosition(int pos)`
    `void` | `setReplacedFromContractTariffId(int replacedFromContractTariffId)`
    `void` | `setTariffGroupId(int tariffGroupId)`
    `void` | `setTariffPlanId(int tariffPlanId)`

    - ### Methods inherited from class ru.bitel.common.model.Id

      `equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContractTariff

          public ContractTariff()

  - ### Method Detail

    - #### getEntityMid

          public int getEntityMid()

    - #### setEntityMid

          public void setEntityMid(int entityMid)

    - #### getEntityId

          public int getEntityId()

    - #### setEntityId

          public void setEntityId(int entityId)

    - #### getPosition

          public int getPosition()

    - #### setPosition

          public void setPosition(int pos)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### setTariffPlanId

          public void setTariffPlanId(int tariffPlanId)

    - #### setComment

          public void setComment(java.lang.String comment)

    - #### getTariffPlanId

          public int getTariffPlanId()

    - #### getTariffGroupId

          public int getTariffGroupId()

    - #### setTariffGroupId

          public void setTariffGroupId(int tariffGroupId)

    - #### getComment

          public java.lang.String getComment()

    - #### getReplacedFromContractTariffId

          public int getReplacedFromContractTariffId()

    - #### setReplacedFromContractTariffId

          public void setReplacedFromContractTariffId(int replacedFromContractTariffId)

    - #### getPeriod

          public Period getPeriod()

    - #### setPeriod

          public void setPeriod(Period period)

    - #### getDateFrom

          @Deprecated
          public java.util.Date getDateFrom()

      Deprecated.

    - #### getDateTo

          @Deprecated
          public java.util.Date getDateTo()

      Deprecated.

    - #### setDateFrom

          @Deprecated
          public void setDateFrom(java.util.Date date)

      Deprecated.

    - #### setDateTo

          @Deprecated
          public void setDateTo(java.util.Date date)

      Deprecated.